<script>
export default {
  onLaunch: function () {
    let updateManager = uni.getUpdateManager();
    if (!updateManager) {
      return;
    } else {
      //新版本更新
      if (uni.canIUse("getUpdateManager")) {
        //判断当前微信版本是否支持版本更新

        updateManager.onCheckForUpdate(function (res) {
          if (res.hasUpdate) {
            // 请求完新版本信息的回调
            updateManager.onUpdateReady(function () {
              uni.showModal({
                title: "更新提示",
                content: "新版本已经准备好，是否重启应用？",
                success: function (res) {
                  if (res.confirm) {
                    // 新的版本已经下载好，调用 applyUpdate 应用新版本并重启
                    updateManager.applyUpdate();
                  }
                },
              });
            });
            updateManager.onUpdateFailed(function () {
              uni.showModal({
                // 新的版本下载失败
                title: "已经有新版本了哟~",
                content:
                  "新版本已经上线啦~，请您删除当前小程序，重新搜索(极速生活圈)打开哟~",
              });
            });
          } else {
          }
        });
      } else {
        uni.showModal({
          // 如果希望用户在最新版本的客户端上体验您的小程序，可以这样子提示
          title: "提示",
          content:
            "当前微信版本过低，部分功能无法使用，请升级到最新微信版本后重试。",
        });
      }
    }
  },
};
</script>

<style lang="less">
/* #ifdef MP-TOUTIAO */
/* @import 'vant-weapp-convert-uniapp/common/index.less'; */
/* #endif  */
/* #ifdef MP-WEIXIN */
@import "@/wxcomponents/vant/common/index.wxss";
@import "@/common/css/animation.css";
/* #endif  */

/*每个页面公共css */
view {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  background-color: #f1f1f1;
}

.night {
  filter: invert(1) hue-rotate(180deg);
}
</style>
